-- gizzy ADDED 'do' ELSE SCRIPT WILL NOT START AND MATE WITH THE 'END'
do
redIADS = SkynetIADS:create('BOCTOK')

---debug settings remove from here on if you do not wan't any output on what the IADS is doing by default
local iadsDebug = redIADS:getDebugSettings()
iadsDebug.IADSStatus = true
iadsDebug.radarWentDark = true
iadsDebug.contacts = true
iadsDebug.radarWentLive = true
iadsDebug.noWorkingCommmandCenter = false
iadsDebug.ewRadarNoConnection = false
iadsDebug.samNoConnection = false
iadsDebug.jammerProbability = true
iadsDebug.addedEWRadar = false
iadsDebug.hasNoPower = false
iadsDebug.harmDefence = true
iadsDebug.samSiteStatusEnvOutput = true
iadsDebug.earlyWarningRadarStatusEnvOutput = true
iadsDebug.commandCenterStatusEnvOutput = true
---end remove debug ---

--GIZZY add all units with unit name beginning with 'EW' to the IADS:
redIADS:addEarlyWarningRadarsByPrefix('EW')

--GIZZY add all groups begining with group name 'SAM' to the IADS:
redIADS:addSAMSitesByPrefix('SAM')


--GIZZY add a command center:
local commandCenter = StaticObject.getByName("Command-Center-1")
redIADS:addCommandCenter(commandCenter)


--GIZZY ADD add a power source and a connection node for this EW1:
local powerSource = StaticObject.getByName('Power-Source-EW1')
local connectionNodeEW = StaticObject.getByName('Connection-Node-EW1')
redIADS:getEarlyWarningRadarByUnitName('EW1'):addPowerSource(powerSource):addConnectionNode(connectionNodeEW)


--GIZZY ADD add a power source and a connection node for this EW2:
local powerSource = StaticObject.getByName('Power-Source-EW2')
local connectionNodeEW = StaticObject.getByName('Connection-Node-EW2')
redIADS:getEarlyWarningRadarByUnitName('EW2'):addPowerSource(powerSource):addConnectionNode(connectionNodeEW)

--aGIZZY ADD dd a power source and a connection node for this EW3:
local powerSource = StaticObject.getByName('Power-Source-EW3')
local connectionNodeEW = StaticObject.getByName('Connection-Node-EW3')
redIADS:getEarlyWarningRadarByUnitName('EW3'):addPowerSource(powerSource):addConnectionNode(connectionNodeEW)

--GIZZY ADD add a power source and a connection node for this EW4:
local powerSource = StaticObject.getByName('Power-Source-EW4')
local connectionNodeEW = StaticObject.getByName('Connection-Node-EW4')
redIADS:getEarlyWarningRadarByUnitName('EW4'):addPowerSource(powerSource):addConnectionNode(connectionNodeEW)


--GIZZY ADD all SA-10 sites shall act as EW sites, meaning their radars will be on all the time:
redIADS:getSAMSitesByNatoName('SA-10'):setActAsEW(true)

--GIZZY ADD add a connection node to this SA-6 site, and set the option for it to go dark, if it looses connection to the IADS:
local connectionNode = Unit.getByName('NODE-SA6-NALCHICK-1')
redIADS:getSAMSiteByGroupName('SAM-SA6-NALCHICK'):addConnectionNode(connectionNode):setAutonomousBehaviour(SkynetIADSAbstractRadarElement.AUTONOMOUS_STATE_DARK)

--activate the radio menu to toggle IADS Status output
redIADS:addRadioMenu()

--first get the SAM site you want to use as point defence from the IADS:
local sa15 = redIADS:getSAMSiteByGroupName('SAM-NALCHIK-SA15')
--then add it to the SAM site it should protect:
redIADS:getSAMSiteByGroupName('SAM-SA6-NALCHICK'):addPointDefence(sa15)

--first get the SAM site you want to use as point defence from the IADS:
local sa15 = redIADS:getSAMSiteByGroupName('SAM-NALCHIK-SA15-1')
--then add it to the SAM site it should protect:
redIADS:getSAMSiteByGroupName('SAM-SA6-NALCHICK'):addPointDefence(sa15)

--first get the SAM site you want to use as point defence from the IADS:
local sa15 = redIADS:getSAMSiteByGroupName('SAM-MOZDOC-SA15-1')
--then add it to the SAM site it should protect:
redIADS:getSAMSiteByGroupName('SAM-MOZDOK-SA6'):addPointDefence(sa15)

--first get the SAM site you want to use as point defence from the IADS:
local sa15 = redIADS:getSAMSiteByGroupName('SAM-MOZDOC-SA15')
--then add it to the SAM site it should protect:
redIADS:getSAMSiteByGroupName('SAM-MOZDOK-SA6'):addPointDefence(sa15)


-- activate the IADS
redIADS:activate()	




end
